Package: grails.web.databinding

## [Groovy] Trait WebDataBinding

- grails.web.databinding.WebDataBinding

- Authors:
    Jeff Brown
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `properties`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Map<?, ?>` | `getProperties()` Returns a map of the objects properties that can be used to during binding to bind a subset of properties
    `` | `org.springframework.validation.BindingResult` | `setProperties(java.lang.Object bindingSource)` Binds the source object to the properties of the target instance converting any types as necessary

- - ### Property Detail

    - #### java.lang.Object properties

  - ### Method Detail

    - #### java.util.Map<?, ?> getProperties()

      Returns a map of the objects properties that can be used to during binding to bind a subset of properties

      link:
        }
      Returns:
        An instance of {

    - #### org.springframework.validation.BindingResult setProperties(java.lang.Object bindingSource)

      Binds the source object to the properties of the target instance converting any types as necessary

      Parameters:
        `bindingSource` - The binding source
      Returns:
        The BindingResult